### Method

# Gtk LinkButtonset_uri

#### Declaration [src]

    void
    gtk_link_button_set_uri (
      GtkLinkButton* link_button,
      const char* uri
    )

#### Description [src]

Sets `uri` as the URI where the `GtkLinkButton` points.

As a side-effect this unsets the “visited” state of the button.

Sets property | `Gtk.LinkButton:uri`

#### Parameters

`uri`

  Type: `const char*`

  A valid URI.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.